"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetDiskUsage = void 0;
var log4js = require("log4js");
var check_disk_space_1 = require("check-disk-space");
var promises_shared_1 = require("./promises.shared");
var server_config_1 = require("../config/server.config");
var logger = log4js.getLogger('ServerScripts');
function GetDiskUsage(path) {
    path !== null && path !== void 0 ? path : (path = server_config_1.SERVER_DISK_LOGIC_LOCATION);
    return (0, promises_shared_1.DummyPromise)()
        .then(function (_) {
        return (0, check_disk_space_1.default)(path);
    })
        .then(function (diskSpace) {
        logger.info('[dislk-space-check:GetDiskUsage] Result:', diskSpace);
        return Promise.resolve(diskSpace);
    })
        .catch(function (error) {
        logger.error('[dislk-space-check:GetDiskUsage] error:', error);
        return Promise.reject(error);
    });
}
exports.GetDiskUsage = GetDiskUsage;
